compiling exploit code



I'm having issues compiling some exploit code under Visual Studio Express 2010, particularly kicking up syntax errors. I first suspected that this was "lamer" code with deliberately inserted syntax errors, but I now suspect I'm having compiler compatibility issues.
Original coder indicated in the source to compile it under VS v. 6. Could there be compiler version differences which might be part of my problems? I mean has the coding syntax changed?

—thanks
------------------------------------------------------------------------
This list is sponsored by: Information Assurance Certification Review Board

Prove to peers and potential employers without a doubt that you can actually do a proper penetration test. IACRB CPT and CEPT certs require a full practical examination in order to become certified.

http://www.iacertification.org
------------------------------------------------------------------------



Relevant Pages

  • Re: compiling exploit code
    ... The coding syntax per se has NOT changed, it is a standard after all. ... Implementation regarding specific features indeed does changes. ... Original coder indicated in the source to compile it under VS v. 6. ... Information Assurance Certification Review Board ...
    (Pen-Test)
  • Re: True Source Code Analysis for Security
    ... Checkmarx Ltd. ... Since that same code would need to compile in order for the ... in a maze of twisty passages, like source code analysis. ... Information Assurance Certification Review Board ...
    (Pen-Test)
  • Re: compiling exploit code
    ... macubergeek wrote: ... Original coder indicated in the source to compile it under VS v. 6. ... Information Assurance Certification Review Board ...
    (Pen-Test)